Bug 5621 - Google Translation for indian languages
Summary: Google Translation for indian languages
Status: Failed QA
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P1 - high enhancement (vote)
Target Milestone: ---
Deadline: 2018-08-24
Assignee: Amit Gupta
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-17 06:41 UTC by Amit Gupta
Modified: 2018-08-26 17:54 UTC (History)
6 users (show)

See Also:
Change sponsored?: Seeking developer
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this: 2018-08-24 00:00:00
Who signed the patch off:
Text to go in the release notes:


Attachments
Google Translation for indian languages. (deleted)
2011-01-17 10:33 UTC, Amit Gupta
Details
Bug-5621 Google Translation for indian languages. (5.28 KB, patch)
2011-07-07 23:39 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 5621 : Follow up fixing up syspref files (10.73 KB, patch)
2011-07-07 23:46 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Amit Gupta 2011-01-17 06:41:22 UTC
Google Translation for indian languages.
Comment 1 Amit Gupta 2011-01-17 10:33:11 UTC Comment hidden (obsolete)
Comment 2 Julian Maurice 2011-03-15 14:11:05 UTC
Patch does not apply on master:

Applying: Bug-5621 Google Translation for indian languages.
/home/julian/koha/versions/koha-community-git/.git/rebase-apply/patch:102: trailing whitespace.
      
error: patch failed: installer/data/mysql/updatedatabase.pl:3937
error: installer/data/mysql/updatedatabase.pl: patch does not apply
/home/julian/koha/versions/koha-community-git/.git/rebase-apply/patch:97: new blank line at EOF.
+
error: patch failed: kohaversion.pl:16
error: kohaversion.pl: patch does not apply
error: patch failed: opac/opac-main.pl:37
error: opac/opac-main.pl: patch does not apply
error: patch failed: opac/opac-search.pl:81
error: opac/opac-search.pl: patch does not apply
Patch failed at 0001 Bug-5621 Google Translation for indian languages.
When you have resolved this problem run "git am --resolved".
If you would prefer to skip this patch, instead run "git am --skip".
To restore the original branch and stop patching run "git am --abort".
Comment 3 Paul Poulain 2011-03-15 14:42:51 UTC
+ there are some lines that are not related to translation:
diff --git a/opac/opac-search.pl b/opac/opac-search.pl
-    }
+}

Auth.pm:
-      flagsrequired   => {borrow => 1, catalogue => '*', tools => 'import_patrons' },
+      flagsrequired   => {borrow => 1, catalogue => '*', tools => 'import_patrons'},
and
-         flagsrequired   => {borrow => 1, catalogue => '*', tools => 'import_patrons' },
+         flagsrequired   => {borrow => 1, catalogue => '*', tools => 'import_patrons'},
Comment 4 Chris Cormack 2011-07-07 23:39:45 UTC
Created attachment 4587 [details] [review]
Bug-5621 Google Translation for indian languages.
Comment 5 Chris Cormack 2011-07-07 23:41:52 UTC
The content of attachment 2996 [details] has been deleted by
    Chris Cormack <chris@bigballofwax.co.nz>
without providing any reason.

The token used to delete this attachment was generated at 2011-07-08 11:41:49 NZST.
Comment 6 Chris Cormack 2011-07-07 23:46:51 UTC
Created attachment 4588 [details] [review]
Bug 5621 : Follow up fixing up syspref files
Comment 7 Owen Leonard 2011-07-08 13:23:43 UTC
I was confused at first that there were no changes to the template in these patches. The template changes were approved before the script and syspref changes were?

The problem I see is that the check in the template, added 5 Jun 2009, doesn't match the system preference added by this patch. The template looks for "GoogleIndicTransliteration," the new system pref is called "GoogleTransliteration."
Comment 8 Prasanth K 2018-08-24 08:56:00 UTC
Koha Developers,
                 please add indian amazon association to enhancement content,because we not receive the commission from american amazon associations. And useless for students to buy the books from american association website, we using rupees.

so kindly add indian association tag in koha.

Regards 

K.Prasanth
Comment 9 Katrin Fischer 2018-08-26 17:43:25 UTC
Hi Prasanth, this bug is about Google translation, please file a separate bug for the Amazon issue. Please also keep in mind that most developers working on Koha are getting paid for their work - so there is no guarantee someone will be spending time on it.
Comment 10 Katrin Fischer 2018-08-26 17:43:56 UTC
Resetting former status.